Bug 998968 - add EPP product slot to EAP 5 plug-in
add EPP product slot to EAP 5 plug-in
Status: CLOSED CURRENTRELEASE
Product: JBoss Operations Network
Classification: JBoss
Component: Plugin -- JBoss EAP 5 (Show other bugs)
JON 3.1.2
Unspecified Unspecified
high Severity high
: ER01
: JON 3.2.0
Assigned To: Jay Shaughnessy
Mike Foley
:
Depends On: 998973
Blocks: 1000046
  Show dependency treegraph
 
Reported: 2013-08-20 08:50 EDT by bkramer
Modified: 2014-01-02 15:36 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1000043 (view as bug list)
Environment:
Last Closed: 2014-01-02 15:36:47 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed patch that adds EPP to JBossProductType (4.78 KB, patch)
2013-08-22 12:53 EDT, Larry O'Leary
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 458583 None None None Never

  None (edit)
Description bkramer 2013-08-20 08:50:53 EDT
Description of problem:

Customer want to differentiate alerts for different types of JBoss server: EAP & EPP.
An easy way would be to use the name of inventoried JBoss server (starts with the string returned by JBossProductType.java) possible for EAP, EWP, SOA & BRMS.
Unfortunately the EPP case does not exist in JBossProductType.java and they would like to obtain a patch for the class :
rhq/modules/plugins/jboss-as-5/src/main/java/org/rhq/plugins/jbossas5/helper/JBossProductType.java

This should be easily feasable, as the jboss-epp-5.2/jboss-as/bin/run.jar (META-INF/MANIFEST.MF) contains the line :
Implementation-Title: JBoss [EPP]




Version-Release number of selected component (if applicable):
JON 3.1.2

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Larry O'Leary 2013-08-22 12:53:07 EDT
Created attachment 789274 [details]
Proposed patch that adds EPP to JBossProductType
Comment 2 Larry O'Leary 2013-08-22 19:33:46 EDT
Jay committed this to master in https://git.fedorahosted.org/cgit/rhq/rhq.git/commit/?id=4ab55e2fa95282b5d1ecd26ef30a86910a7d1974

    Bug 998968 - add EPP product slot to EAP 5 plug-in


This is ready for testing.

To test:

1.  Start EPP 5.2.x server
2.  Start JBoss ON system
3.  Review discovery queue for EPP <host>:1099 <profile>

For upgrade testing:

1.  Start EPP 5.2.x server
2.  Start JBoss ON 3.1.x system
3.  Import EPP server into inventory (it will say AS <host>:1099 <profile>)
4.  Verify EPP resource shows available in inventory
5.  Note EPP resource's version string reports AS 5.2.x
6.  Perform JBoss ON upgrade
7.  Verify EPP resource shows available in inventory
8.  Verify EPP resource's version string reports EPP 5.2.x
-- note: the resource name will remain AS <host>:1099 <profile>
Comment 3 Mike Foley 2013-09-13 15:36:25 EDT
to be tested by the EAP 5 QE owners.  setting product accordingly.
Comment 4 Larry O'Leary 2013-09-16 18:39:35 EDT
Moving back to JBoss ON product as this is a customer issue and being patched as such. 

If we need to push this to another product as well, then we need to clone the BZ to the other product.
Comment 5 Radim Hatlapatka 2013-11-26 09:11:50 EST
Verified with JON 3.2.0.ER7

Note You need to log in before you can comment on or make changes to this bug.